Skip to content
Start here

Fetch a Evaluation

GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/evaluations/{id}

Retrieves details for a specific AI Gateway dataset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
Path ParametersExpand Collapse
account_id: string
gateway_id: string

gateway id

maxLength64
minLength1
id: string
ReturnsExpand Collapse
result: object { id, created_at, datasets, 6 more }
id: string
created_at: string
formatdate-time
datasets: array of object { id, account_id, account_tag, 6 more }
id: string
account_id: string
account_tag: string
created_at: string
formatdate-time
enable: boolean
filters: array of object { key, operator, value }
key: "created_at" or "request_content_type" or "response_content_type" or 10 more
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: "eq" or "contains" or "lt" or "gt"
One of the following:
"eq"
"contains"
"lt"
"gt"
value: array of string or number or boolean
One of the following:
string
number
boolean
gateway_id: string

gateway id

maxLength64
minLength1
modified_at: string
formatdate-time
name: string
gateway_id: string

gateway id

maxLength64
minLength1
modified_at: string
formatdate-time
name: string
processed: boolean
results: array of object { id, created_at, evaluation_id, 6 more }
id: string
created_at: string
formatdate-time
evaluation_id: string
evaluation_type_id: string
modified_at: string
formatdate-time
result: string
status: number
status_description: string
total_logs: number
total_logs: number
success: boolean

Fetch a Evaluation

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$GATEWAY_ID/evaluations/$ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "datasets": [
      {
        "id": "id",
        "account_id": "account_id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enable": true,
        "filters": [
          {
            "key": "created_at",
            "operator": "eq",
            "value": [
              "string"
            ]
          }
        ],
        "gateway_id": "my-gateway",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name"
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "processed": true,
    "results": [
      {
        "id": "id",
        "created_at": "2019-12-27T18:11:19.117Z",
        "evaluation_id": "evaluation_id",
        "evaluation_type_id": "evaluation_type_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "result": "result",
        "status": 0,
        "status_description": "status_description",
        "total_logs": 0
      }
    ],
    "total_logs": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "datasets": [
      {
        "id": "id",
        "account_id": "account_id",
        "account_tag": "account_tag",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enable": true,
        "filters": [
          {
            "key": "created_at",
            "operator": "eq",
            "value": [
              "string"
            ]
          }
        ],
        "gateway_id": "my-gateway",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "name": "name"
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "processed": true,
    "results": [
      {
        "id": "id",
        "created_at": "2019-12-27T18:11:19.117Z",
        "evaluation_id": "evaluation_id",
        "evaluation_type_id": "evaluation_type_id",
        "modified_at": "2019-12-27T18:11:19.117Z",
        "result": "result",
        "status": 0,
        "status_description": "status_description",
        "total_logs": 0
      }
    ],
    "total_logs": 0
  },
  "success": true
}